Build Status Gem Version Yard Docs

ScormEngine

A ruby client for Rustici's SCORM Engine 2017.1 API and limited support for the Engine 20.1 API v2.

Installation

Add this line to your application's Gemfile:

gem 'scorm_engine'

And then execute:

$ bundle

Or install it yourself as:

$ gem install scorm_engine

Usage

TODO: Write usage instructions here

Testing

Ensure you have ruby and bundler installed.

  • gem install bundler
  • bundle install
  • bundle exec rake spec, bundle exec rake rubocop, bundle exec rake yard

To test running these specs against an actual SCORM server, create a .env.test.local

  • cp .env.test .env.test.local
  • Update the values in .env.test.local with the values you want overridden.

Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/get-bridge/scorm_engine.

License

The gem is available as open source under the terms of the MIT License.